@font-face {
    font-family: "AnonymousPro";
    src: url("../fonts/AnonymousPro-Regular.ttf");
}

@font-face {
    font-family: "AnonymousPro";
    src: url("../fonts/AnonymousPro-Bold.ttf");
    font-weight: bold;
}

@font-face {
    font-family: "Roboto Mono";
    src: url("../fonts/RobotoMono-Regular.ttf");
}

@media screen
    and (min-device-width: 1200px)
    and (-webkit-min-device-pixel-ratio: 1)
{
    :root {
        --content-width: 1024px;
        --max-content-width: 1024px;
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

html { height: 100%; }
body { height: 100%; }

.navbar {
    display: inline-flex;
    justify-content: center;
    position: fixed;
    top: 0;
    width: 100%;
    height: 50px;
}

.navbar > .wrapper {
    height: 100%;
    width: var(--content-width);
    max-width: var(--max-content-width);
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.navbar-links {
    display: flex;
    flex-direction: row;
}

.navbar-links > * {
    margin-left: 10px;
}

main {
    height: inherit;
    width: var(--content-width);
    max-width: var(--max-content-width);
    margin: 100px auto;
}

body > footer {
    height: 100px;
}

.contact {
    flex-flow: row;
}

.contact > .main {
    display: inline-flex;
    align-items: center;
}

.contact > .main > img {
    max-width: 32px;
    margin-right: 8px;
}

.contact + .contact {
    margin-top: 15px;
}

.cv-tl {
    position: absolute;
    margin-left: -200px;
}

.cv-company, .cv-skills, .cv-project {
    padding: 15px 0;
}

.cv-res > ul,
.cv-technologies > ul,
.cv-skills > ul {
    list-style-type: none;
    padding-left: 30px;
}

.cv-res > ul > li::marker,
.cv-technologies > ul > li::marker,
.cv-skills > ul > li::marker {
    content: "- ";
}

.cv-res,
.cv-technologies {
    margin-top: 15px;
}

.post {
    width: fit-content;
}

.post > div:first-child {
    padding-bottom: 2px;
    margin-bottom: 2px;
}

.post-category-links {
    padding-top: 5px;
    padding-left: 30px;
}

.post-category > .post {
    padding-left: 0;
}

.post-category + .post-category {
    margin-top: 5px;
}

.post-tag + .post-tag {
    margin-left: 2px;
}

.post + .post {
    margin-top: 5px;
}
